#include<bits/stdc++.h>
using namespace std;
ifstream fi("DQNT.inp");
ofstream fo("DQNT.out");
int kt(int x,int i){
   if(x<2)return 0;
   if(x==2)return 1;
   if(x%i==0)return 0;
   if(i*i>x)return 1;
   if(x%i!=0)return kt(x,i+1);
}
int main(){
  int n;
  fi>>n;
  vector<int>a(n);
  bool k=false;
  for(int i=0;i<n;++i){
        fi>>a[i];
        if(kt(a[i],2))k=true;
  }
if(!k){fo<<-1; return 0;}
sort(a.begin(),a.end());
for(int i=0;i<n;++i)if(kt(a[i],2))fo<<a[i]<<' ';


}
